## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pyspellchecker
Version:        0.8.3
Release:        %autorelease
Summary:        Pure python spell checker based on work by Peter Norvig

License:        MIT
URL:            https://github.com/barrust/pyspellchecker
Source:         %{url}/archive/v%{version}/pyspellchecker-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
pyspellchecker (Pure Python Spell Checking) uses a Levenshtein Distance
algorithm to find permutations within an edit distance of 2 from the original
word. It then compares all permutations (insertions, deletions, replacements,
and transpositions) to known words in a word frequency list. Those words that
are found more often in the frequency list are more likely the correct results.

pyspellchecker supports multiple languages including English, Spanish, German,
French, Portuguese, Arabic and Basque. For information on how the dictionaries
were created and how they can be updated and improved, please see the Dictionary
Creation and Updating section of the readme!

pyspellchecker allows for the setting of the Levenshtein Distance (up to two) to
check. For longer words, it is highly recommended to use a distance of 1 and not
the default 2. See the quickstart to find how one can change the distance
parameter.}

%description %_description

%package -n     python3-pyspellchecker
Summary:        %{summary}

%description -n python3-pyspellchecker %_description

%prep
%autosetup -p1 -n pyspellchecker-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spellchecker

%check
%pytest

%files -n python3-pyspellchecker -f %{pyproject_files}


%changelog
## START: Generated by rpmautospec
* Mon May 19 2025 Packit <hello@packit.dev> - 0.8.3-1
- Update to 0.8.3 upstream release
- Resolves: rhbz#2333497

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Dec 21 2024 topazus <topazus@outlook.com> - 0.8.2-1
- 0.8.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.8.1-3
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Packit <hello@packit.dev> - 0.8.1-1
- [packit] 0.8.1 upstream release
- Resolves rhbz#2259362

* Tue Jan 16 2024 Packit <hello@packit.dev> - 0.8.0-1
- [packit] 0.8.0 upstream release
- Resolves rhbz#2258640

* Thu Dec 28 2023 topazus <topazus@outlook.com> - 0.7.3-1
- initial import; rhbz#2256044
## END: Generated by rpmautospec
